
# Pinning Versions

## Old Version

If you like to test rolling updates and the updates to new minor versions, check out the *e90* sample:

This sample will install a version 9.0.1400 for you to test. Since the Cluster Node Discovery changed due to a new jGroups version in nscale, the chart will notice the old version and turn on the legacy discovery mechanism to allow the Pod to find its peers in Versions prior to 9.1.1200.

```
helm install \
    --values samples/empty.yaml \
    --values samples/demo.yaml \
    --values versions/9.0.1400.yaml \
    sample-e90 nplus/nplus-instance
```

## New Version Sample

Some nscale Versions are License-Compatible, meaning that for example a Version 9.1 License File will also be able to run a nscale Version 9.0 Software. But that is not always the case.

So you might need to set individual licenses per instance:

```
kubectl create secret generic nscale-license-e10 \
  --from-file=license.xml=license10.xml
```

Check, if the license has been created:

```
# kubectl get secret | grep license
nscale-license          Opaque              1      7d22h
nscale-license-e10      Opaque              1      17s
```

Now, we install the instance:

```
helm upgrade -i \
    --values samples/empty.yaml \
    --values samples/demo.yaml \
    --values versions/10.0.yaml \
    --set global.license=nscale-license-e10 \
    sample-e10 nplus/nplus-instance
```

